Bug 138843 - UI: Show image file type/ extension inside image properties dialog
Summary: UI: Show image file type/ extension inside image properties dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Shubham Jain
URL:
Whiteboard: target:7.2.0
Keywords: difficultyMedium, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2020-12-12 09:22 UTC by Telesto
Modified: 2021-08-06 22:38 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-12-12 09:22:44 UTC
Description:
UI: Show image file type/ extension inside image properties dialog

Steps to Reproduce:
1. Open attachment 168083 [details] (or any file containing images)
2. Right click an image -> Properties
3. Search for the 'source image file type' file type extension -> not present in the dialog

Actual Results:
Not visible

Expected Results:
I sometimes desire to now.. say seeing very low res image.. or image scaling superior (SVG).. 

It's present in the Compress dialog, but not the first place I would look. And the costs of this area nearly 0, IMHO. And the people who like it, have it :P


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 796c7f612603490dda9277ced0f6ab3cce3bc116
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-12-12 09:23:26 UTC
Another tweak proposal :P
Comment 2 V Stuart Foote 2020-12-12 15:10:05 UTC
The Properties dialog for Frames is extended to handle Images. It is only relevant to Writer. Would rather see this available for images in all the modules.
Comment 3 Telesto 2020-12-12 17:03:43 UTC
(In reply to V Stuart Foote from comment #2)
> The Properties dialog for Frames is extended to handle Images. It is only
> relevant to Writer. Would rather see this available for images in all the
> modules.

Not quite following how this being in line with the request. To be sure: I'm asking to show source file format jpg/png/svg somewhere in the image dialog (next to the compress dialog).

But yes, no need to limit this to Writer only. Also no objection to shared image dialog across modules. As long as this is feasible and all settings being equal. Not looked into it in depth. 

[The compress options could potentially be added to image dialog too (as separate tab or whatever being logical). Separate right click context menu pointing to the compress tab would be nice though]
Comment 4 Heiko Tietze 2020-12-15 08:58:13 UTC
Agree, shouldn't be too difficult to implement.
Comment 5 Telesto 2020-12-15 09:01:05 UTC
(In reply to Heiko Tietze from comment #4)
> Agree, shouldn't be too difficult to implement.

Easy hack I assume? There is even an example in the compress dialog
Comment 6 Dave Barton 2020-12-15 09:29:42 UTC
How to identify images not inserted from a file? eg. pasted from the clipboard.

This "file type / extension" addition appears to be of little value and potential confusion.
Comment 7 Telesto 2020-12-15 18:41:35 UTC
(In reply to Dave Barton from comment #6)
> How to identify images not inserted from a file? eg. pasted from the
> clipboard.
> 
> This "file type / extension" addition appears to be of little value and
> potential confusion.

This is kind of 'repeat' of existing feature.. It's present in the compress dialog. An pasted image is identified as "UNKNOWN" after paste.. After save it's becomes png.


Note: Apparently every image becomes PNG, independent of source format (always assumed the file format got included at copy paste, but apparently wrong). But unknown probably correct, as the image isn't stored in the file yet.

[Outside scope here: Kind of wondering what would happen if 'Save image" with actually store the image instead of calling export]
Comment 8 Heiko Tietze 2020-12-16 12:37:11 UTC
Code pointer:

svx/source/dialog/compressgraphicdialog.cxx -> CompressGraphicsDialog::Update() shows how to retrieve the type (PDF is defined as a GfxLinkType but apparently not handled correctly)

ui file is sw/uiconfig/swriter/ui/picturepage.ui read by sw/source/ui/frmdlg/frmpage.cxx, eg. SwGrfExtPage::ActivatePage(const SfxItemSet& rSet) is a good place to update the label
Comment 9 Prince Singh Tomar 2020-12-26 15:21:32 UTC
can i work on this ?
Comment 10 Buovjaga 2020-12-26 17:23:47 UTC
(In reply to Prince Singh Tomar from comment #9)
> can i work on this ?

Sure.
Comment 11 Shubham Jain 2020-12-26 22:17:42 UTC
(In reply to Prince Singh Tomar from comment #9)
> can i work on this ?

I've already submitted a patch on it. I forgot to assign it to myself. Can you work on some other task? Thank you!
Comment 12 Prince Singh Tomar 2020-12-27 07:21:31 UTC
Okay
Comment 13 Prince Singh Tomar 2020-12-27 07:34:07 UTC
(In reply to Shubham Jain from comment #11)
> (In reply to Prince Singh Tomar from comment #9)
> > can i work on this ?
> 
> I've already submitted a patch on it. I forgot to assign it to myself. Can
> you work on some other task? Thank you!

Please, attach the link of the submitted patch in this chat, so that this bug can be marked as resolved (after merging).
Comment 15 Commit Notification 2021-01-14 06:32:28 UTC
shubham656 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e7842148f5fa6f9af9312cb4b198a4a5340e3d9b

tdf#138843 Show image file type inside image properties dialog

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 stragu 2021-08-06 13:06:12 UTC
Verified as fixed in:

Version: 7.2.0.2 / LibreOffice Community
Build ID: 614be4f5c67816389257027dc5e56c801a547089
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded